Search found 166 matches

by gbroques
Thu Dec 28, 2023 2:54 pm
Forum: Help on using FreeCAD
Topic: [Sketcher] How to Model Curves in Triangular Coil?
Replies: 7
Views: 906

Re: [Sketcher] How to Model Curves in Triangular Coil?

This doesn't look too difficult in Sketcher, even without B-splines, by using arcs. Can you give the remaining dimensions too or upload the file? Yes, below are the full dimensions of my existing sketch. Uploading the file isn't as straight-forward for me since there's multiple files, and this is p...
by gbroques
Wed Dec 27, 2023 4:24 pm
Forum: Python scripting and macros
Topic: Issues with pythonically importing FreeCAD (after conda install)
Replies: 17
Views: 2618

Re: Issues with pythonically importing FreeCAD (after conda install)

Sorry for reviving this old thread.

I thought I'd let people know I submitted a pull-request which should eliminate issues when importing FreeCAD from python scripts when using the conda installation:

See:
https://github.com/conda-forge/freecad- ... k/pull/118
looo wrote:
by gbroques
Wed Dec 27, 2023 3:38 am
Forum: Help on using FreeCAD
Topic: [Sketcher] How to Model Curves in Triangular Coil?
Replies: 7
Views: 906

[Sketcher] How to Model Curves in Triangular Coil?

Hi all. I've modeled the below triangular coil in black which is 22.9 mm in thickness all around. I'd like to make the below adjustments in red which: reduces the thickness to 19 mm at each corner maintains the thickness of 22.9 mm at the midpoint between each corner and curves the outer-most surfac...
by gbroques
Sun Aug 13, 2023 5:16 pm
Forum: Open discussion
Topic: [Feature Request] Cross Product Vector Function in Expressions
Replies: 2
Views: 515

Re: [Feature Request] Cross Product Vector Function in Expressions

Please open a feature request on github as this is the central place to manage any kind of issues. Thank you Werner! Created on GitHub: https://github.com/FreeCAD/FreeCAD/issues/10213 I was unaware since the description of Open discussion says " Have some feature requests , ... This is the pla...
by gbroques
Sat Aug 12, 2023 9:30 pm
Forum: Open discussion
Topic: [Feature Request] Cross Product Vector Function in Expressions
Replies: 2
Views: 515

[Feature Request] Cross Product Vector Function in Expressions

Can we add a function to take the cross product of two vectors in Expressions ? Cross products are really useful for: finding the normal vector to a plane by taking the cross product of two vectors on the plane. finding the direction vector for the line of intersection between two planes by taking t...
by gbroques
Sat Feb 25, 2023 8:55 pm
Forum: Python scripting and macros
Topic: [Solved] How to export to glTF headless?
Replies: 4
Views: 823

Re: How to export to glTF headless?

wmayer wrote: Sat Feb 25, 2023 1:36 pm https://github.com/FreeCAD/FreeCAD/pull/8649

Code: Select all

import Part
import Import

shape = Part.makeCylinder(3, 10)
mesh = shape.tessellate(0.2)
Part.show(shape)
Import.export(App.ActiveDocument.Objects, "test.glTF")
Thank you Werner. I appreciate the responsiveness! :)
by gbroques
Sat Feb 25, 2023 1:00 am
Forum: Python scripting and macros
Topic: [Solved] How to export to glTF headless?
Replies: 4
Views: 823

Re: How to export to glTF headless?

There is an Import module without the Gui that usually could be scripted, but not always you have some examples around for all the supported formats, especially when dealing with "tuning" export properties. Thanks Carlo. I appreciate your response. I think I found the code which controls ...
by gbroques
Fri Feb 24, 2023 2:14 am
Forum: Python scripting and macros
Topic: [Solved] How to export to glTF headless?
Replies: 4
Views: 823

[Solved] How to export to glTF headless?

Is there any way to use the Std Export command to export to glTF from FreeCAD headless? I have a freecad_to_gltf.py script with the following code: import FreeCAD as App import ImportGui document = App.newDocument("Unnamed") box = document.addObject("Part::Box","Box") I...
by gbroques
Fri Feb 24, 2023 1:32 am
Forum: Help on using FreeCAD
Topic: glTF export doesn't respect Link Transform True for Links to App Part
Replies: 1
Views: 627

glTF export doesn't respect Link Transform True for Links to App Part

I've recreated the aforementioned issue with a more minimal and simple example. This issue occurs when using an App_Link to an App_Part , and setting Link Transform to True. Steps to reproduce: 1. Create a new document. 2. Select the Part workbench from the workbench dropdown menu. 3. Create a Part_...
by gbroques
Thu Feb 23, 2023 2:34 am
Forum: Help on using FreeCAD
Topic: glTF export doesn't respect Link Transform True for Links to App Part
Replies: 1
Views: 627

glTF export doesn't respect Link Transform True for Links to App Part

EDIT: I've recreated this issue with a more simple and minimal example. See the 2nd post in this thread. Hi all, I'm having an issue when I export my model to glTF. Essentially, a part isn't rotated correctly after exporting to glTF. I've described this with screenshots and .FCStd files at the foll...